# eric5.Helpviewer.PersonalInformationManager.PersonalDataDialog

Module implementing a dialog to enter personal data.

### Global Attributes

None

### Classes

PersonalDataDialog | Class implementing a dialog to enter personal data.

### Functions

None

## PersonalDataDialog

Class implementing a dialog to enter personal data.

### Derived from

QDialog, Ui_PersonalDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

PersonalDataDialog | Constructor
storeData | Public method to store the entered personal information.

### Static Methods

None

#### PersonalDataDialog (Constructor)

PersonalDataDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### PersonalDataDialog.storeData

storeData()

Public method to store the entered personal information.

Up